%%BeginResource: procset house
200 dict dup /house.pro exch def begin

/bubrad {vfrad unit} def
/linkwidth 1 def
/borderwidth 0.5 def


%	  E
%        / \
%       5-y-6
%      /  |  \
%     C---4---D
%     |   |   |
%     2---z---3
%     |   |   |
%     A---1---B

/s {{unit} forall} def
/m {s moveto} def
/l {s lineto} def

/va [-1 -2] def
/vb [ 1 -2] def
/vc [-1  0] def
/vd [ 1  0] def
/ve [0 3 sqrt] def

/fz [0 -1] def
/fy [0 1 3 sqrt div] def

/e1 [ 0 -2] def
/e2 [-1 -1] def
/e3 [ 1 -1] def
/e4 [ 0  0] def
/e5 [-0.5 3 sqrt 2 div] def
/e6 [ 0.5 3 sqrt 2 div] def

/o1 [ 0 -3] def
/ob [ 2 -3] def
/o3 [ 2 -1] def
/oa [-2 -3] def
/o2 [-2 -1] def
/o6 [3 sqrt 1 add 2 div dup] def
/o5 [o6 {} forall neg exch] def
/oe [0 3 sqrt 2 add] def
/od [ 2 2 3 sqrt sub] def % (1/2-(1-sqrt(3)/2)*sqrt(3)
/oc [-2 2 3 sqrt sub] def

/ba {3 -1 roll s 4 -1 roll s 5 -1 roll s bubbarc} def

/oin {
oc oe od ba
oe od ob ba
od ob oa ba
ob oa oc ba
oa oc oe ba
} def
/oout {
oe oc oa ba
oc oa ob ba
oa ob od ba
ob od oe ba
od oe oc ba
} def
/f* {
  gsave linkwidth setlinewidth
  e1 o1 m l
  e3 o3 m l
  e6 o6 m l
  e5 o5 m l
  e2 o2 m l
  stroke
  grestore
  just-f*
} def
/just-f* {
  gsave newpath oin oout 0.6 setgray closepath fill 0 setgray
  borderwidth setlinewidth
  newpath oin stroke
  newpath oout stroke
  /Times-Italic findfont 12 scalefont setfont
  oe m 0 -12 rmoveto (f*) cfshow
  grestore
} def
/node {gsave 3 -1 roll s 4 -1 roll unit 0 360 newpath arc setgray gsave fill grestore 0 setgray borderwidth setlinewidth stroke grestore} def
/drawtoe {dup 1 get (0) eq ignore0's and {pop pop} {0 get m l linkwidth setlinewidth stroke} ifelse} def
/drawtoea {arrows {0 get exch s 3 -1 roll s 7 backoff linkwidth setlinewidth arrow} {drawtoe} ifelse} def
/torest {% [first rest ...] {action}
  /_action exch def
  /_list exch def
  /_first _list 0 get def
  1 1 _list length 1 sub {_list exch get _first exch _action} for
  _first
} def
/f's {
  [[fz [e1 ()] [e2 ()] [e3 ()] [e4 ()]] [fy [e4 ()] [e5 ()] [e6 ()]]] {
    {drawtoe} torest
    vfrad 0.6 node} forall
} def
/v's {
  [[va [e1 (3)] [e2 (2)]]
   [vb [e1 (0)] [e3 (1)]]
   [vc [e2 (1)] [e4 (1)] [e5 (0)]]
   [ve [e5 (2)] [e6 (5)]]
  ] 0 dneigh
} def
/primal {
  [[va [e1 (3)]]
   [vb [e3 (1)]]
   [vc [e4 (1)]]
   [ve [e6 (5)]]
  ] 0 dneigh
} def
/primal-in {
  [[va]
   [vb [va ()]]
   [vc]
   [ve]
   [vd [vb ()] [vc ()] [ve ()]]
  ] 0 dneigh
  just-v*
} def
/dual {
  [[fy [e5 ()]]
   [fz [e2 ()]]
  ] 0.6 dneigh
} def
/dual1 {
  [[fy [e5 (1)]]
   [fz [e2 (1)]]
  ] 0.6 dneigh
} def
/dual-in {
  [[o5 [fy ()]]
   [o2 [fz ()]]
  ] 0.6 dneigh
  just-f*
} def
/dneigh {
   {dup {drawtoea} torest pop
    {{} forall @show} torest
    vfrad 0 node} dup 7 4 -1 roll put forall
} def
/v* {
  [[vd [e3 (1)] [e4 (0)] [e6 (4)]]] 0 dneigh
  just-v*
} def
/just-v* {
  [[vd]] 0 dneigh
  gsave
  /Times-Italic findfont 12 scalefont setfont
  vd m 0 -4 rmoveto 1 setgray (v*) cshow
  grestore
} def
/e's {
  [e1 e2 e3 e4 e5 e6] {erad 1 node} forall
} def
/fshow {gsave dup false charpath 1 setgray 1 setlinewidth stroke grestore show} def
/cfshow {dup stringwidth pop -2 div 0 rmoveto fshow} def
/@show {3 1 roll avg m 0 -4 rmoveto dup (0) eq ignore0's and {pop} {cfshow} ifelse} def
/avg {{} forall 3 -1 roll {} forall exch 4 -1 roll add 2 div 3 1 roll add 2 div [ 3 1 roll ]} def

end

%%EndResource
